Skip to content
English

Folders and counters

GET/v1/mailboxes/{mailbox_id}/folders

Returns a list of folders, the number of emails total, the number of unread messages unread and the value uidvalidity for each folder. Use the folder name and uidvalidity in queries to its letters.

Authentication and access · Errors and retries

Request

Terminal window
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/folders' \
-H 'Authorization: Bearer <access_token>'

Parameters

mailbox_idpathNecessarily

integer

X-Customer-IDheader
Option 1

string

Option 2

null

Responses

200 Successful response

application/json

array

Array elements

object

name

string

flags

array

Array elements

string

total

integer

unread

integer

uidvalidity

integer

401 Login required

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

403 No access

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

404 Resource not found

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

409 State conflict

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

422 Validation error

application/json

object

detail

array

Array elements

object

locNecessarily

array

Array elements
Option 1

string

Option 2

integer

msgNecessarily

string

typeNecessarily

string

503 Temporarily unavailable

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object